﻿using System.Collections.ObjectModel;

namespace Model.Stub;

public class StubInfoTitle
{
    public StubAlbum StubAlbum
    {
        get
        {
            return stubAlbum;
        }
    }

    private readonly StubAlbum stubAlbum;

    public ObservableCollection<InfoTitle> InfoTitles
    {
        get => infoTitles;
    }

    private readonly ObservableCollection<InfoTitle> infoTitles;

    public StubInfoTitle()
    {
        stubAlbum = new StubAlbum();
        Artist ImagineDragons = StubAlbum.StubArtist.GetArtistByName("Imagine Dragons") ?? new Artist("Imagine Dragons");
        Album MercuryAct2 = stubAlbum.GetAlbumByName("Mercury Act 2") ?? new Album("Mercury Act 2", "album14.png", ImagineDragons, "desc", "infos");
        long imagineDragonsID = MercuryAct2.ID;
        infoTitles = new ObservableCollection<InfoTitle>()
        {
            new InfoTitle("Bones", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Symphony", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Sharks", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("I don't like myself", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Blur", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Higher ground", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Crushed", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Take it easy", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Waves", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("I'm happy", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Ferris wheel", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Peace of mind", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Sirens", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Tied", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Younger", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("Continual", "none.png", "infos", "desc", Genre.POP, imagineDragonsID),
            new InfoTitle("They don't know you like I do", "none.png", "infos", "desc", Genre.POP, imagineDragonsID)
        };
    }

    public ObservableCollection<InfoTitle> GetInfoTitles()
    {
        return infoTitles;
    }
    public List<InfoTitle> GetInfoTitlesByNames(List<string> names)
    {
        List<InfoTitle> infos = new List<InfoTitle>();
        foreach(var name in names)
        {
            foreach(var titles in infoTitles)
            {
                if (name == titles.Name)
                {
                    infos.Add(titles);
                }
            }
        }
        return infos;
    }
    public void AddInfoTitle(InfoTitle title)
    {
        infoTitles.Add(title);
    }
    public void RemoveInfoTitle(InfoTitle title)
    {
        infoTitles.Remove(title);
    }
    public static void AddFeat(InfoTitle infoTitle, Artist artist)
    {
        infoTitle.AddFeat(artist);
    }
    public static void RemoveFeat(InfoTitle infoTitle, Artist artist)
    {
        infoTitle.RemoveFeat(artist);
    }
}
